package ink.wgink.module.article.pojo.vos.category;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ArticleCategoryVO
 * @Description: 文章类别
 * @Author: WenG
 * @Date: 2020-04-03 15:20
 * @Version: 1.0
 **/
@ApiModel
public class CategoryVO {

    @ApiModelProperty(name = "title", value = "标题")
    @CheckEmptyAnnotation(name = "标题")
    private String title;
    @ApiModelProperty(name = "summary", value = "说明")
    private String summary;

    public String getTitle() {
        return title == null ? "" : title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSummary() {
        return summary == null ? "" : summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }


}
